cURL
curl -X GET \
/tax-groups/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/tax-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/tax-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/tax-groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"internalDescription": "19%",
"reverseChargeType": "REVERSE_CHARGE",
"type": "standard",
"id": "00000000-0000-0000-0000-000000000000",
"taxes": [
{
"code": "19",
"rate": 19,
"countryCode": "DE",
"id": "00000000-0000-0000-0000-000000000000",
"description": "19%",
"validFrom": "2021-01-01"
}
]
}Tax
Get tax group
Get a tax group
Required permissions:tax-group:readGET
/
tax-groups
/
{id}
cURL
curl -X GET \
/tax-groups/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/tax-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/tax-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/tax-groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"internalDescription": "19%",
"reverseChargeType": "REVERSE_CHARGE",
"type": "standard",
"id": "00000000-0000-0000-0000-000000000000",
"taxes": [
{
"code": "19",
"rate": 19,
"countryCode": "DE",
"id": "00000000-0000-0000-0000-000000000000",
"description": "19%",
"validFrom": "2021-01-01"
}
]
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
TaxGroup identifier
Antwort
TaxGroup resource
The name of the tax group which will be displayed only in the UI
Maximum string length:
255Beispiel:
"19%"
Defines if reverse charge will be applicated or not
Verfügbare Optionen:
REVERSE_CHARGE_DEACTIVATED, REVERSE_CHARGE, REVERSE_CHARGE_INTRA_EU_SUPPLY Beispiel:
"REVERSE_CHARGE"
Verfügbare Optionen:
standard, reduced Beispiel:
"standard"
Beispiel:
"00000000-0000-0000-0000-000000000000"
Show child attributes
Show child attributes
War diese Seite hilfreich?